Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.javahl
Class JavaHLAuthenticationStorage

    java.lang.Object
      org.tmatesoft.svn.core.javahl.JavaHLAuthenticationStorage

All Implemented Interfaces:
  ISVNAuthenticationStorage

public class JavaHLAuthenticationStorage
extends Object
implements ISVNAuthenticationStorage

Version:
  1.1.1
Author:
  TMate Software Ltd.

Constructor Summary
`JavaHLAuthenticationStorage()`

Method Summary
`void` | `clear()`
`Object` | `getData(String kind, String realm)` Retrieves a cached credential of the specified kind for the given repository authentication realm from the auth storage.
`void` | `putData(String kind, String realm, Object data)` Caches a credential of the specified kind for the given repository authentication realm in the auth storage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaHLAuthenticationStorage

    public JavaHLAuthenticationStorage()

Method Detail

### putData

    public void putData(String kind,
                        String realm,
                        Object data)

  Description copied from interface: `ISVNAuthenticationStorage`
  Caches a credential of the specified kind for the given repository authentication realm in the auth storage.

  Specified by:
    `putData` in interface `ISVNAuthenticationStorage`
  Parameters:
    `kind` - a credential kind (for example, like those defined in `ISVNAuthenticationManager`)
    `realm` - a repository authentication realm including a hostname, a port number and a realm string
    `data` - a credential object

### getData

    public Object getData(String kind,
                          String realm)

  Description copied from interface: `ISVNAuthenticationStorage`
  Retrieves a cached credential of the specified kind for the given repository authentication realm from the auth storage.

  Specified by:
    `getData` in interface `ISVNAuthenticationStorage`
  Parameters:
    `kind` - a credential kind (for example, like those defined in `ISVNAuthenticationManager`)
    `realm` - a repository authentication realm including a hostname, a port number and a realm string
  Returns:
    a credential object

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.